libnl: Inet Diag Messages

libnl 3.7.0

Functions
Inet Diag Messages
Inet Diag library (libnl-idiag)

## Functions
struct idiagnl_msg * | idiagnl_msg_alloc (void)
void | idiagnl_msg_get (struct idiagnl_msg *msg)
void | idiagnl_msg_put (struct idiagnl_msg *msg)
int | idiagnl_msg_parse (struct nlmsghdr *nlh, struct idiagnl_msg **result)

## Cache Management
int | idiagnl_msg_alloc_cache (struct nl_sock *sk, int family, int states, struct nl_cache **result)
| Build an inetdiag cache to hold socket state information. More...

## Attributes
uint8_t | idiagnl_msg_get_family (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_family (struct idiagnl_msg *msg, uint8_t family)
uint8_t | idiagnl_msg_get_state (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_state (struct idiagnl_msg *msg, uint8_t state)
uint8_t | idiagnl_msg_get_timer (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_timer (struct idiagnl_msg *msg, uint8_t timer)
uint8_t | idiagnl_msg_get_retrans (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_retrans (struct idiagnl_msg *msg, uint8_t retrans)
uint16_t | idiagnl_msg_get_sport (struct idiagnl_msg *msg)
void | idiagnl_msg_set_sport (struct idiagnl_msg *msg, uint16_t port)
uint16_t | idiagnl_msg_get_dport (struct idiagnl_msg *msg)
void | idiagnl_msg_set_dport (struct idiagnl_msg *msg, uint16_t port)
struct nl_addr * | idiagnl_msg_get_src (const struct idiagnl_msg *msg)
int | idiagnl_msg_set_src (struct idiagnl_msg *msg, struct nl_addr *addr)
struct nl_addr * | idiagnl_msg_get_dst (const struct idiagnl_msg *msg)
int | idiagnl_msg_set_dst (struct idiagnl_msg *msg, struct nl_addr *addr)
uint32_t | idiagnl_msg_get_ifindex (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_ifindex (struct idiagnl_msg *msg, uint32_t ifindex)
uint32_t | idiagnl_msg_get_expires (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_expires (struct idiagnl_msg *msg, uint32_t expires)
uint32_t | idiagnl_msg_get_rqueue (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_rqueue (struct idiagnl_msg *msg, uint32_t rqueue)
uint32_t | idiagnl_msg_get_wqueue (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_wqueue (struct idiagnl_msg *msg, uint32_t wqueue)
uint32_t | idiagnl_msg_get_uid (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_uid (struct idiagnl_msg *msg, uint32_t uid)
uint32_t | idiagnl_msg_get_inode (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_inode (struct idiagnl_msg *msg, uint32_t inode)
uint8_t | idiagnl_msg_get_tos (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_tos (struct idiagnl_msg *msg, uint8_t tos)
uint8_t | idiagnl_msg_get_tclass (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_tclass (struct idiagnl_msg *msg, uint8_t tclass)
uint8_t | idiagnl_msg_get_shutdown (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_shutdown (struct idiagnl_msg *msg, uint8_t shutdown)
char * | idiagnl_msg_get_cong (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_cong (struct idiagnl_msg *msg, char *cong)
struct idiagnl_meminfo * | idiagnl_msg_get_meminfo (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_meminfo (struct idiagnl_msg *msg, struct idiagnl_meminfo *minfo)
struct idiagnl_vegasinfo * | idiagnl_msg_get_vegasinfo (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_vegasinfo (struct idiagnl_msg *msg, struct idiagnl_vegasinfo *vinfo)
struct tcp_info | idiagnl_msg_get_tcpinfo (const struct idiagnl_msg *msg)
void | idiagnl_msg_set_tcpinfo (struct idiagnl_msg *msg, struct tcp_info *tinfo)

## Detailed Description

Inet Diag Message Documentation (Netlink Inet Diag Development Guide)

## Function Documentation

## ◆ idiagnl_msg_alloc_cache()

int idiagnl_msg_alloc_cache | ( | struct nl_sock * | sk,
|  | int | family,
|  | int | states,
|  | struct nl_cache ** | result
| ) |  |

Build an inetdiag cache to hold socket state information.

Parameters

  sk | Netlink socket
  family | The address family to query
  states | Socket states to query
  result | Result pointer

Note
  The caller is responsible for destroying and free the cache after using it.

Returns
  0 on success of a negative error code.

Definition at line 139 of file idiag_msg_obj.c.

References nl_cache_alloc().

Here is the call graph for this function: